Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-5423

PasswordAuthenticator is incompatible with various Cassandra clients

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Low
    • Resolution: Fixed
    • Fix Version/s: 1.2.4
    • Component/s: None
    • Labels:
    • Severity:
      Low

      Description

      Evidently with the old authenticator it was allowed to set keyspace, and then login. With the org.apache.cassandra.auth.PasswordAuthenticator you have to login and then setkeyspace

      For backwards compatibility it would be good to allow setting before login, and perform the actual operation/validation later after the login.

        Attachments

        1. 5423.txt
          1 kB
          Aleksey Yeschenko

          Activity

            People

            • Assignee:
              aleksey Aleksey Yeschenko
              Reporter:
              sdelmas Sven Delmas
              Authors:
              Aleksey Yeschenko
              Reviewers:
              Jonathan Ellis
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: